<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>Char! Welcome</title>

		<!-- BS & EXT CSS -->
			<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
			<link rel="stylesheet" href="./index.css">
	</head>
	<body>
	<!-- Upper Part -->
	<!-- Middle Part -->
		<div class="container p-0">
			<div class="d-flex justify-content-center">
				<!-- Carousel -->
					<div class="carousel slide carousel-fade col-6 d-none d-lg-block" id="carouselExampleInterval" data-ride="carousel">
						<div class="carousel-inner">
							<div class="carousel-item active" data-interval="1000">
				  				<img src="https://picsum.photos/id/32/500/500" class="" alt="...">
							</div>
							<div class="carousel-item" data-interval="2000">
				  				<img src="https://picsum.photos/id/112/500/500" class="" alt="...">
							</div>
							<div class="carousel-item">
								<img src="https://picsum.photos/id/240/500/500" class="" alt="...">
							</div>
						</div>
						<button class="carousel-control-prev" type="button" data-target="#carouselExampleInterval" data-slide="prev">
							<span class="carousel-control-prev-icon" aria-hidden="true"></span>
							<span class="sr-only">Previous</span>
						</button>
						<button class="carousel-control-next" type="button" data-target="#carouselExampleInterval" data-slide="next">
							<span class="carousel-control-next-icon" aria-hidden="true"></span>
							<span class="sr-only">Next</span>
						</button>
					</div>
				<!-- Login/Signup Form -->
					<div class="wrapper col-6 ml-5">
						<div class="title-text">
							<div class="title login">Login Form</div>
							<div class="title signup">Signup Form</div>
						</div>
						<div class="form-container">
							<div class="slide-controls">
								<input type="radio" name="slide" id="login" checked>
								<input type="radio" name="slide" id="signup">
								<label for="login" class="slide login">Login</label>
								<label for="signup" class="slide signup">Signup</label>
								<div class="slider-tab"></div>
							</div>
							<div class="form-inner">
								<form action="#" class="login" id="loginform">
									<div class="field">
						 				<input type="text" id="logemail" placeholder="Email Address" required>
									</div>
									<div class="field">
					 					<input type="password" id="logpass" placeholder="Password" required>
									</div>
									<div class="pass-link">
					 					<a href="#">Forgot password?</a>
									</div>
									<div class="field btn">
					 					<div class="btn-layer"></div>
					 					<input type="submit" value="Enter">
									</div>
									<div class="signup-link">Not a member?<a href="">&nbsp;Signup now</a></div>
								</form>
								<form action="#" class="signup" id="signupform">
									<div class="field">
										<input type="text" id="signemail" placeholder="Email Address" required>
									</div>
									<div class="field">
										<input type="password" id="signpass1" placeholder="Password" required>
									</div>
									<div class="field">
										<input type="password" id="signpass2" placeholder="Confirm password" required>
									</div>
									<div class="field btn">
										<div class="btn-layer"></div>
										<input type="submit" value="Submit">
									</div>
								</form>
							</div>
						</div>
					</div>
			</div>
		</div>
	<!-- Bottom Part -->
	<!-- Internal JS for Form Index.html -->
		<script>
		const loginText = document.querySelector(".title-text .login");
		const loginForm = document.querySelector("form.login");
		const loginBtn = document.querySelector("label.login");
		const signupBtn = document.querySelector("label.signup");
		const signupLink = document.querySelector("form .signup-link a");
		const signupSlider = document.querySelector("#login");
			
			signupBtn.onclick = (()=>{
				loginForm.style.marginLeft = "-50%";
				loginText.style.marginLeft = "-50%";
			});
			loginBtn.onclick = (()=>{
				loginForm.style.marginLeft = "0%";
				loginText.style.marginLeft = "0%";
			});
			signupLink.onclick = (()=>{
				signupBtn.click();
				return false;
			});
		</script>
	<!-- BS & EXT JS -->
		<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
		<script src="./index.js"></script>
	</body>
</html>
